Complete a notification action
Mark a single in-app (inbox) notification's action (primary or secondary) as completed by its unique identifier **notificationId** and action type **actionType**.
Mark a single in-app (inbox) notification's action (primary or secondary) as completed by its unique identifier notificationId and action type actionType.
Authorization
secretKey API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Path Parameters
The identifier of the subscriber
The identifier of the notification
The type of action (primary or secondary)
Value in
- "primary"
- "secondary"
Query Parameters
Context keys for filtering
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v2/subscribers/string/notifications/string/actions/primary/complete"{ "id": "string", "transactionId": "string", "subject": "string", "body": "string", "to": { "id": "string", "firstName": "string", "lastName": "string", "avatar": "string", "subscriberId": "string" }, "isRead": true, "isSeen": true, "isArchived": true, "isSnoozed": true, "snoozedUntil": "string", "deliveredAt": [ "string" ], "createdAt": "string", "readAt": "string", "firstSeenAt": "string", "archivedAt": "string", "avatar": "string", "primaryAction": { "label": "string", "isCompleted": true, "redirect": { "url": "string", "target": "_self" } }, "secondaryAction": { "label": "string", "isCompleted": true, "redirect": { "url": "string", "target": "_self" } }, "channelType": "in_app", "tags": [ "string" ], "data": {}, "redirect": { "url": "string", "target": "_self" }, "workflow": { "id": "string", "identifier": "string", "name": "string", "critical": true, "tags": [ "string" ], "data": {}, "severity": "high" }, "severity": "high"}Delete a notification DELETE
Delete a specific in-app (inbox) notification permanently by its unique identifier **notificationId**.
Revert a notification action PATCH
Revert a single in-app (inbox) notification's action (primary or secondary) to pending state by its unique identifier **notificationId** and action type **actionType**.